using System;
using System.Data;
using System.Collections.Generic;

using CallCenterApi.Model;
namespace CallCenterApi.BLL
{
	/// <summary>
	/// T_Web_WorkAccountSearch
	/// </summary>
	public partial class T_Web_WorkAccountSearch
	{
		private readonly CallCenterApi.DAL.T_Web_WorkAccountSearch dal=new CallCenterApi.DAL.T_Web_WorkAccountSearch();
		public T_Web_WorkAccountSearch()
		{}
		#region  Method
		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(string F_WorkOrderId)
		{
			return dal.Exists(F_WorkOrderId);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool Add(CallCenterApi.Model.T_Web_WorkAccountSearch model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(CallCenterApi.Model.T_Web_WorkAccountSearch model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(string F_WorkOrderId)
		{
			
			return dal.Delete(F_WorkOrderId);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_WorkOrderIdlist )
		{
			return dal.DeleteList(F_WorkOrderIdlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public CallCenterApi.Model.T_Web_WorkAccountSearch GetModel(string F_WorkOrderId)
		{
			
			return dal.GetModel(F_WorkOrderId);
		}


		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<CallCenterApi.Model.T_Web_WorkAccountSearch> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<CallCenterApi.Model.T_Web_WorkAccountSearch> DataTableToList(DataTable dt)
		{
			List<CallCenterApi.Model.T_Web_WorkAccountSearch> modelList = new List<CallCenterApi.Model.T_Web_WorkAccountSearch>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				CallCenterApi.Model.T_Web_WorkAccountSearch model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new CallCenterApi.Model.T_Web_WorkAccountSearch();
					if(dt.Rows[n]["F_WorkOrderId"]!=null && dt.Rows[n]["F_WorkOrderId"].ToString()!="")
					{
					model.F_WorkOrderId=dt.Rows[n]["F_WorkOrderId"].ToString();
					}
					if(dt.Rows[n]["F_SearchPassword"]!=null && dt.Rows[n]["F_SearchPassword"].ToString()!="")
					{
					model.F_SearchPassword=dt.Rows[n]["F_SearchPassword"].ToString();
					}
					if(dt.Rows[n]["F_AddTime"]!=null && dt.Rows[n]["F_AddTime"].ToString()!="")
					{
						model.F_AddTime=DateTime.Parse(dt.Rows[n]["F_AddTime"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

